Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/COMP/lmdz.driver	(revision 1539)
@@ -36,22 +36,36 @@
     esac
 
-    ##--Frequency purpose ....
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    OK_journe=n
-    OK_mensuel=n
+    ok_mensuel=n
+    ok_journe=n
     ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
     case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
+	1Y|1y|1M|1m) ok_mensuel=y ;;
+	5D|5d|1D|1d) ok_journe=y ;;
     esac
 
     for frequency in ${config_ATM_WriteFrequency} ; do
 	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
+	    1M|1m) ok_mensuel=y ;;
+	esac
+	case ${frequency} in
+	    5D|5d|1D|1d) ok_journe=y ;;
 	esac
 	case ${frequency} in
 	    HF|hf) ok_hf=y ;;
+	esac
+	case ${frequency} in 
+	    HF3h|hf3h) ok_hf3h=y ;;
+	esac
+	case ${frequency} in 
+	    HF3hm|hf3hm) ok_hf3hm=y ;;
+	esac
+	case ${frequency} in
+	    STN|stn) ok_stn=y ;;
 	esac
     done
@@ -92,5 +106,4 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -101,5 +114,4 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -253,9 +265,7 @@
 
     ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
-    LMDZ_sed physiq.def OK_instan   ${OK_instan}
-    LMDZ_sed physiq.def OK_journe   ${OK_journe}
-    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
-    LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L19	(revision 1539)
@@ -29,44 +29,15 @@
 # Parametres fichiers de sortie
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=2
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/PARAM/physiq.def_L39	(revision 1539)
@@ -29,22 +29,16 @@
 # Parametres fichiers de sortie
 #
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
 # Noms des fichiers
-phys_out_filenames=      histmth histday histhf histhf3h histhf3hm histstn
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
 # Sortir ou non les fichiers
-phys_out_filekeys=       y        y        y        y        y        n
+phys_out_filekeys=       n       n       n        n         n         n
 # Niveaux de sorties
-phys_out_filelevels=     5        5        5        5        5        5
+phys_out_filelevels=     5       5       5        5         5         5
 ### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n        n        n        n        n        y
+phys_out_filestations =  n       n       n        n         n         y
 ### Frequences des sorties
-phys_out_filetimesteps = 1.mth, 1.day, 0.25day, 0.125day, 0.125day, 1800.s
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
 ### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
 flag_t100       = 1, 7, 7, 5, 10, 10
@@ -123,23 +117,4 @@
 # Parametres niveau de sorties differents fichiers
 #
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => champs 3d niveaux modele dans le fichier histhf.nc
-lev_histhf=5
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=5
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
 ### parametres pour hist*NMC.nc
 #lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
@@ -148,8 +123,4 @@
 ### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
 ok_histNMC = y, n, n
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/Chistorical/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/Chistorical/config.card	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/Chistorical/config.card	(revision 1539)
@@ -67,5 +67,5 @@
 [ATM]
 #
-WriteFrequency="1M 1D HF"
+WriteFrequency="1M 1D HF HF3h HF3hm"
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart= n
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/COMP/lmdz.driver	(revision 1539)
@@ -36,22 +36,36 @@
     esac
 
-    ##--Frequency purpose ....
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    OK_journe=n
-    OK_mensuel=n
+    ok_mensuel=n
+    ok_journe=n
     ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
     case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
+	1Y|1y|1M|1m) ok_mensuel=y ;;
+	5D|5d|1D|1d) ok_journe=y ;;
     esac
 
     for frequency in ${config_ATM_WriteFrequency} ; do
 	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
+	    1M|1m) ok_mensuel=y ;;
+	esac
+	case ${frequency} in
+	    5D|5d|1D|1d) ok_journe=y ;;
 	esac
 	case ${frequency} in
 	    HF|hf) ok_hf=y ;;
+	esac
+	case ${frequency} in 
+	    HF3h|hf3h) ok_hf3h=y ;;
+	esac
+	case ${frequency} in 
+	    HF3hm|hf3hm) ok_hf3hm=y ;;
+	esac
+	case ${frequency} in
+	    STN|stn) ok_stn=y ;;
 	esac
     done
@@ -92,5 +106,4 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -101,5 +114,4 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -253,9 +265,7 @@
 
     ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
-    LMDZ_sed physiq.def OK_instan   ${OK_instan}
-    LMDZ_sed physiq.def OK_journe   ${OK_journe}
-    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
-    LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L19	(revision 1539)
@@ -29,44 +29,15 @@
 # Parametres fichiers de sortie
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/CpiControl/PARAM/physiq.def_L39	(revision 1539)
@@ -29,12 +29,16 @@
 # Parametres fichiers de sortie
 #
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
 ### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
 flag_t100       = 1, 7, 7, 5, 10, 10
@@ -113,23 +117,4 @@
 # Parametres niveau de sorties differents fichiers
 #
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=5
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
 ### parametres pour hist*NMC.nc
 #lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
@@ -138,8 +123,4 @@
 ### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
 ok_histNMC = y, n, n
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/COMP/lmdz.driver	(revision 1539)
@@ -36,22 +36,36 @@
     esac
 
-    ##--Frequency purpose ....
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    OK_journe=n
-    OK_mensuel=n
+    ok_mensuel=n
+    ok_journe=n
     ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
     case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
+	1Y|1y|1M|1m) ok_mensuel=y ;;
+	5D|5d|1D|1d) ok_journe=y ;;
     esac
 
     for frequency in ${config_ATM_WriteFrequency} ; do
 	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
+	    1M|1m) ok_mensuel=y ;;
+	esac
+	case ${frequency} in
+	    5D|5d|1D|1d) ok_journe=y ;;
 	esac
 	case ${frequency} in
 	    HF|hf) ok_hf=y ;;
+	esac
+	case ${frequency} in 
+	    HF3h|hf3h) ok_hf3h=y ;;
+	esac
+	case ${frequency} in 
+	    HF3hm|hf3hm) ok_hf3hm=y ;;
+	esac
+	case ${frequency} in
+	    STN|stn) ok_stn=y ;;
 	esac
     done
@@ -92,5 +106,4 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -101,5 +114,4 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -253,9 +265,7 @@
 
     ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
-    LMDZ_sed physiq.def OK_instan   ${OK_instan}
-    LMDZ_sed physiq.def OK_journe   ${OK_journe}
-    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
-    LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L19	(revision 1539)
@@ -29,44 +29,15 @@
 # Parametres fichiers de sortie
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXP00/PARAM/physiq.def_L39	(revision 1539)
@@ -29,34 +29,18 @@
 # Parametres fichiers de sortie
 #
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       2       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
 #
 # Parametres niveau de sorties differents fichiers
 #
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
 ### parametres pour hist*NMC.nc
 #lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
@@ -65,12 +49,5 @@
 ### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
 ok_histNMC = y, n, n
-### ecrit_ins = frequence ecriture fichier histhf3h.nc en jours
-ecrit_ins=0.125
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
+
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/COMP/lmdz.driver	(revision 1539)
@@ -36,22 +36,36 @@
     esac
 
-    ##--Frequency purpose ....
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    OK_journe=n
-    OK_mensuel=n
+    ok_mensuel=n
+    ok_journe=n
     ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
     case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
+	1Y|1y|1M|1m) ok_mensuel=y ;;
+	5D|5d|1D|1d) ok_journe=y ;;
     esac
 
     for frequency in ${config_ATM_WriteFrequency} ; do
 	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
+	    1M|1m) ok_mensuel=y ;;
+	esac
+	case ${frequency} in
+	    5D|5d|1D|1d) ok_journe=y ;;
 	esac
 	case ${frequency} in
 	    HF|hf) ok_hf=y ;;
+	esac
+	case ${frequency} in 
+	    HF3h|hf3h) ok_hf3h=y ;;
+	esac
+	case ${frequency} in 
+	    HF3hm|hf3hm) ok_hf3hm=y ;;
+	esac
+	case ${frequency} in
+	    STN|stn) ok_stn=y ;;
 	esac
     done
@@ -92,5 +106,4 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -101,5 +114,4 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -253,9 +265,7 @@
 
     ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
-    LMDZ_sed physiq.def OK_instan   ${OK_instan}
-    LMDZ_sed physiq.def OK_journe   ${OK_journe}
-    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
-    LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L19	(revision 1539)
@@ -29,44 +29,15 @@
 # Parametres fichiers de sortie
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=2
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/PARAM/physiq.def_L39	(revision 1539)
@@ -29,22 +29,16 @@
 # Parametres fichiers de sortie
 #
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
 # Noms des fichiers
-phys_out_filenames=      histmth histday histhf histhf3h histhf3hm histstn
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
 # Sortir ou non les fichiers
-phys_out_filekeys=       y        y        y        y        y        n
+phys_out_filekeys=       n       n       n        n         n         n
 # Niveaux de sorties
-phys_out_filelevels=     5        5        5        5        5        5
+phys_out_filelevels=     5       5       5        5         5         5
 ### Type de fichier : global (n) ou stations (y)
-phys_out_filestations =  n        n        n        n        n        y
+phys_out_filestations =  n       n       n        n         n         y
 ### Frequences des sorties
-phys_out_filetimesteps = 1.mth, 1.day, 0.25day, 0.125day, 0.125day, 1800.s
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
+#
 ### variables niveaux pressions 100, 50, 10 hPa a 3h-inst - F.Lott
 flag_t100       = 1, 7, 7, 5, 10, 10
@@ -123,23 +117,4 @@
 # Parametres niveau de sorties differents fichiers
 #
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => champs 3d niveaux modele dans le fichier histhf.nc
-lev_histhf=5
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=5
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
 ### parametres pour hist*NMC.nc
 #lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
@@ -148,8 +123,4 @@
 ### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
 ok_histNMC = y, n, n
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/historical/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/historical/config.card	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/historical/config.card	(revision 1539)
@@ -67,5 +67,5 @@
 [ATM]
 #
-WriteFrequency="1M 1D HF"
+WriteFrequency="1M 1D HF HF3h HF3hm"
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart= n
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/COMP/lmdz.driver	(revision 1539)
@@ -36,22 +36,36 @@
     esac
 
-    ##--Frequency purpose ....
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    OK_journe=n
-    OK_mensuel=n
+    ok_mensuel=n
+    ok_journe=n
     ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
     case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
+	1Y|1y|1M|1m) ok_mensuel=y ;;
+	5D|5d|1D|1d) ok_journe=y ;;
     esac
 
     for frequency in ${config_ATM_WriteFrequency} ; do
 	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
+	    1M|1m) ok_mensuel=y ;;
+	esac
+	case ${frequency} in
+	    5D|5d|1D|1d) ok_journe=y ;;
 	esac
 	case ${frequency} in
 	    HF|hf) ok_hf=y ;;
+	esac
+	case ${frequency} in 
+	    HF3h|hf3h) ok_hf3h=y ;;
+	esac
+	case ${frequency} in 
+	    HF3hm|hf3hm) ok_hf3hm=y ;;
+	esac
+	case ${frequency} in
+	    STN|stn) ok_stn=y ;;
 	esac
     done
@@ -92,5 +106,4 @@
     case ${config_UserChoices_PeriodLength} in
         *Y|*y) 
-               LMDZ_ecrit_mth=30. 
                LMDZ_ecrit_ISCCP=30.
                LMDZ_periodav=30.
@@ -101,5 +114,4 @@
                ;;
         *)
-               LMDZ_ecrit_mth=${PeriodLengthInDays}.
                LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
                LMDZ_periodav=${PeriodLengthInDays}.
@@ -253,9 +265,7 @@
 
     ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
-    LMDZ_sed physiq.def OK_instan   ${OK_instan}
-    LMDZ_sed physiq.def OK_journe   ${OK_journe}
-    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
-    LMDZ_sed physiq.def ok_hf       ${ok_hf}
-    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in physiq.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys        ${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}
     LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
     LMDZ_sed physiq.def ok_cosp     ${LMDZ_COSP_OK}
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L19	(revision 1539)
@@ -29,44 +29,15 @@
 # Parametres fichiers de sortie
 #
-### type_run = type run par rapport aux fichiers et variables de sortie
-# - type_run = CLIM/ENSP (=1)
-# - type_run = AMIP/CFMI (=2)
-type_run=CLIM
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
 #
-# Parametres niveau de sorties differents fichiers 
-#
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=2
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
-### ecrit_hf = frequence ecriture fichier histhf.nc en jours
-ecrit_hf=0.250
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
Index: CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39	(revision 1538)
+++ CONFIG/IPSLCM/IPSLCM5-2/piControl/PARAM/physiq.def_L39	(revision 1539)
@@ -29,12 +29,15 @@
 # Parametres fichiers de sortie
 #
-### OK_journe= y sortir fichier journalier histday.nc, =n pas de fichier histday.nc
-OK_journe=n
-### OK_mensuel= y sortir fichier mensuel histmth.nc, =n pas de fichier histmth.nc
-OK_mensuel=y
-### OK_instan=y, ecrire sorties "instantannees" (chaque pas de temps de la  physique)
-OK_instan=n
-### OK_hf=y, ecrire sorties hautes frequence histhf.nc, =n pas de fichier histhf.nc
-ok_hf=n
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf   histhf3h  histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       n       n       n        n         n         n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       2        5         5         5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n        n         n         y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+#
 #
 # more variables for level 5 : vitw and pres
@@ -101,23 +104,4 @@
 # Parametres niveau de sorties differents fichiers
 #
-### lev_histhf=0-4, niveau de sortie fichier "histhf.nc" 
-# - lev_histhf=0 => pas de sorties histhf.nc
-# - lev_histhf=2 => defaut
-# - lev_histhf=3 => variables sur niveaux standards
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele => fichier. histhf3d.nc
-lev_histhf=2
-### lev_histday=0-5, niveau de sortie fichier "histday.nc"
-# - lev_histday=0 => pas de sorties lev_histday.nc
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-# - lev_histday=5 => + champs F. Aires
-lev_histday=5
-### lev_histmth=0-4, niveau de sortie fichier "histmth.nc"
-# - lev_histmth=0 => pas de sorties lev_histmth.nc
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=5
 ### parametres pour hist*NMC.nc
 #lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
@@ -126,8 +110,4 @@
 ### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
 ok_histNMC = y, n, n
-### ecrit_day = frequence ecriture fichier histday.nc en jours
-ecrit_day=1.
-### ecrit_mth = frequence ecriture fichier histmth.nc en jours
-ecrit_mth=_ecrit-mth_
 ### freqin_isccp = frequence input en secondes du simulateur ISCCP
 freq_ISCCP=10800.
